> For the complete documentation index, see [llms.txt](https://docs.noto.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.noto.network/noto-api-docs/api-reference/error-handling.md).

# Error Handling

## NOTO API follows the standard HTTP Status Codes

## Status Code Categories

<details>

<summary><mark style="color:green;">2xx Success</mark></summary>

This category includes all status for a positive Response, \
meaning your Request is succesfully fullfilled.

</details>

<details>

<summary><mark style="color:red;">4xx Client Error</mark></summary>

When a status code belonging to <mark style="color:red;">4xx</mark> category is returned, it indicates that there some kind of error with the request.

For example:&#x20;

* 400 Bad Request
* 401 Unauthorized (check you are using the api key correctly >  [Auth](/noto-api-docs/api-reference/authentication.md))
* 404 Not Found
* 429 Too many requests

</details>

<details>

<summary><mark style="color:red;">5xx Server Error</mark></summary>

When a status code belonging to <mark style="color:red;">5xx</mark> category is returned, it means the server encountered some kind of error while processing your request.

</details>

#### If the error persist don't hesitate to contact [our support](/noto-api-docs/contact-and-support.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.noto.network/noto-api-docs/api-reference/error-handling.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
